function clrImg = matWBNS(Img, psfw)

% psfw - PSF width in pixels
% nlvl - level of DWT decomposition for noise subtraction 

blvl = ceil(log2(psfw)); % level of DWT decomposition for background subtraction 
sigma = 1000;%pow2(blvl);

clrImg = Img; %cleared image initialization
size(Img,3)
for f_idx = 1:size(Img,3) %parafor
    bkgImg = zeros(size(Img,1),size(Img,2)); %background frame initialization
    
    % background estimation
    if (blvl > 0)
        [cb,sb] = wavedec2(Img(:,:,f_idx), blvl, 'db1');  %db1
        cb((sb(1,1)*sb(1,2)+1):end) = 0;
%        cb(1:(sb(1,1)*sb(1,2))) = 500;
        bkgImg = waverec2(cb, sb, 'db1'); %db1
%         MIJ.createImage('bkgImg',65535*(bkgImg/max(max(bkgImg))),true);
%         bkgImg=MIJ.run('Gaussian Blur...',['sigma=' num2str(sigma)]);
         bkgImg = gaussFilter(bkgImg,sigma);
%          MIJ.createImage('bkgImg',65535*(bkgImg/max(max(bkgImg))),true);
        bkgImg(bkgImg < 0) = 0;
    end   

    clrImg(:,:,f_idx) = Img(:,:,f_idx) - 0.35*bkgImg;
end

clrImg(clrImg < 0) = 0;

